Run of lintian-fixes for antimony

Try this locally (using the lintian-brush package):

debcheckout antimony
cd antimony
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/antimony lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 6052d99..78a2c0e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+antimony (0.9.3-3) UNRELEASED; urgency=medium
+
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update standards version to 4.2.1, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 20 Jan 2021 17:46:11 -0000
+
 antimony (0.9.3-2) unstable; urgency=medium
 
   * Add patch to import QPainterPath. Thanks to Tobias Frost. Closes: #975109
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index 8bfbeb7..1d00d3f 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Vcs-Browser: https://salsa.debian.org/debian/antimony
 Vcs-Git: https://salsa.debian.org/debian/antimony.git
 Maintainer: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  libpng-dev,
  python3-dev,
@@ -18,7 +18,7 @@ Build-Depends: debhelper (>= 9),
  cmake,
  desktop-file-utils,
  zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 
 Package: antimony
 Architecture: any

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/a9/42836b79e4cde49ba9c4266eeece1fb3e41a98.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/29/c7c7bd86f5d96d4030e5037772351117e8bc5e.debug

No differences were encountered between the control files of package antimony

Control files of package antimony-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 29c7c7bd86f5d96d4030e5037772351117e8bc5e a942836b79e4cde49ba9c4266eeece1fb3e41a98

Publish History

  • 2021-05-08T08:40: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/debian/antimony.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/debian/antimony.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T06:20: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-08T03:57: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/debian/antimony.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/debian/antimony.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T01:40: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/debian/antimony.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/debian/antimony.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-07T23:13: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-07T20:38: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)

Full worker log Full build log